<div class="ask-route">
  <mat-card class="article">
    <mat-card-header>
      <h1>Live boat alerts</h1>
    </mat-card-header>

    <mat-card-content>

      <!-- <button (click)="getMessages()">Receive messages</button> -->
      <div *ngFor="let message of messages">
          {{message}}
      </div>
      <input [(ngModel)]="message"/><button (click)="sendMessage()">Send</button>

      <mat-grid-list gutterSize="20px" cols="3" rowHeight="65px" class="select-itinerary">
        <!-- <countdown #cd1 *ngIf="active" (finished)="onFinished()" [config]="config">$!m!:$!s!</countdown> -->
          <!-- <button (click)="cd1.restart()">Refresh manually</button> -->
      </mat-grid-list>

      <agm-map [disableDefaultUI]="false" [zoom]="zoom" [latitude]="latitude" [longitude]="longitude">
        <agm-marker [latitude]="latitude" [longitude]="longitude"></agm-marker>
        <!-- <agm-data-layer [geoJson]="geoTest"></agm-data-layer> -->
      </agm-map>

    </mat-card-content>
  </mat-card>
</div>
